__addon_enabled__ = False  # Default state, Blender will manage this

bl_info = {
    "name": "Virtual Painter",
    "author": "Andrin Honegger",
    "version": (0, 1, 0),
    "blender": (4, 3, 2),
    "location": "3D Viewport > Tool Shelf > Tool",
    "description": "",
    "warning": "",
    "category": "Paint",
}

from . import (
    ui,
    paintListener,
    paintModifier,
    preferences,
)

import bpy # Blender Python API

# Register and Unregister Classes
module_tuple = (
    ui,
    paintListener,
    #paintModifier,
    #preferences,
)

def register():
    for item in module_tuple:
        item.register()

def unregister():
    for item in module_tuple:
        item.unregister()

if __name__ == "__main__":
    register()
